## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanAVTPartXPathAllocator Class Reference

`#include <XalanAVTPartXPathAllocator.hpp>`

Collaboration diagram for XalanAVTPartXPathAllocator:

[legend]
List of all members.

## Public Types

- typedef AVTPartXPath data_type
- typedef ArenaAllocator<data_type> ArenaAllocatorType
- typedef ArenaAllocatorType::size_type size_type

## Public Methods

- XalanAVTPartXPathAllocator (MemoryManagerType &theManager, size_type theBlockCount)
    Construct an instance that will allocate blocks of the specified size. More...
- ~XalanAVTPartXPathAllocator ()
- data_type* create (const XPath *xpath)
    Create an instance. More...
- bool ownsObject (const data_type *theObject)
    Determine if an object is owned by the allocator... More...
- void reset ()
    Delete all objects from the allocator. More...
- size_type getBlockCount () const
    Get the number of ArenaBlocks currently allocated. More...
- size_type getBlockSize () const
    Get size of an ArenaBlock, that is, the number of objects in each block. More...

## Member Typedef Documentation

typedef ArenaAllocator< data_type > XalanAVTPartXPathAllocator::ArenaAllocatorType<data_type>

typedef AVTPartXPath XalanAVTPartXPathAllocator::data_type

typedef ArenaAllocatorType::size_type XalanAVTPartXPathAllocator::size_type

## Constructor & Destructor Documentation

XalanAVTPartXPathAllocator::XalanAVTPartXPathAllocator ( | MemoryManagerType & theManager,
| size_type theBlockCount )

  | Construct an instance that will allocate blocks of the specified size. Parameters:
  theBlockSize | The block size.

XalanAVTPartXPathAllocator::~XalanAVTPartXPathAllocator ( | )

## Member Function Documentation

data_type * XalanAVTPartXPathAllocator::create ( | const XPath * xpath )

  | Create an instance. Parameters:
  xpath | XPath to evaluate
Returns: A pointer to the new instance.

size_type XalanAVTPartXPathAllocator::getBlockCount ( | ) const

| Get the number of ArenaBlocks currently allocated. Returns: The number of blocks.

size_type XalanAVTPartXPathAllocator::getBlockSize ( | ) const

| Get size of an ArenaBlock, that is, the number of objects in each block. Returns: The size of the block

bool XalanAVTPartXPathAllocator::ownsObject ( | const data_type * theObject )

| Determine if an object is owned by the allocator...

void XalanAVTPartXPathAllocator::reset ( | )

| Delete all objects from the allocator.

The documentation for this class was generated from the following file:

- XalanAVTPartXPathAllocator.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.